#include<iostream>
#include<cstdio>
#include<string>
using namespace std;
int main(){
ios_base::sync_with_stdio(false);
string t;
int br=0;
cin>>t;
int i=0,k=1,n,l=0;
while(i<t.length()){
    if(k!=1){
        for(int j=i+1;j<t.length();j++){
            if(t[i]==t[j]){
                if(l%2==0){
                    if(l==0){
                        i=j-1;
                    }
                    else{i=j-l;}
                    br++;
                    k=0;

        n=0;
        do{
        if(t[i+n]==t[i-n+1]){
            br++;
            }
            n++;
            }while(n<k/2);
             break;
    }


}
l++;
}

        }

    l=0;
    k++;
    i++;

}
cout<<br;
}